> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# List entities with matching bases

POST https://{tenant_name}.benchling.com/api/v2/dna-sequences:match-bases
Content-Type: application/json

Returns DNA Sequences that exactly match the provided bases.


Reference: https://docs.benchling.com/docs/api/v2/benchling-api/dna-sequences/match-bases-dna-sequences

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Body (application/json)

This endpoint expects a MatchBasesRequest.

- `bases` (string, required)
- `archiveReason` (enum, optional, default: NOT_ARCHIVED)
  - Allowed values: `NOT_ARCHIVED`, `Other`, `Archived`
- `nextToken` (string, optional)
- `pageSize` (integer, optional, default: 50)
- `registryId` (string, optional, nullable) — ID of a registry. Restricts results to those registered in this registry. Specifying `null` returns unregistered items.
- `sort` (enum, optional, default: modifiedAt:desc)
  - Allowed values: `modifiedAt:asc`, `modifiedAt:desc`, `name:asc`, `name:desc`

## Response

### 200

A filtered list of DNA Sequences

- `dnaSequences` (list of DnaSequence, optional)
- `nextToken` (string, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (BadRequestErrorError, optional)

## Types

### DnaSequence

- `aliases` (list of string, optional)
- `annotations` (list of DnaAnnotation, optional)
- `apiURL` (string, optional) — The canonical url of the DNA Sequence in the API.
- `archiveRecord` (ArchiveRecord, optional, nullable)
- `authors` (list of UserSummary, optional)
- `bases` (string, optional)
- `createdAt` (datetime, optional)
- `creator` (UserSummary, optional)
- `customFields` (map from string to CustomField, optional)
- `dnaAlignmentIds` (list of string, optional) — API IDs of Nucleotide Alignments involving the RNA sequence
- `entityRegistryId` (string, optional, nullable)
- `fields` (map from string to Field, optional)
- `folderId` (string, optional, nullable)
- `id` (string, optional)
- `isCircular` (boolean, optional)
- `length` (integer, optional)
- `modifiedAt` (datetime, optional)
- `name` (string, optional)
- `parts` (list of DnaSequencePart, optional)
- `primers` (list of Primer, optional)
- `registrationOrigin` (RegistrationOrigin, optional, nullable)
- `registryId` (string, optional, nullable)
- `schema` (SchemaSummary, optional, nullable)
- `transcriptions` (list of DnaSequenceTranscription, optional)
- `translations` (list of Translation, optional)
- `url` (string, optional) — The path of the web URL, omitting the tenant domain
- `webURL` (string, optional)

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

### DnaAnnotation

- `color` (string, optional) — Hex color code used when displaying this feature in the UI.
- `customFields` (list of SequenceFeatureCustomField, optional)
- `name` (string, optional)
- `notes` (string, optional)
- `end` (integer, optional) — 0-based exclusive end index. The end of the sequence is always represented as 0.
- `start` (integer, optional) — 0-based inclusive start index.
- `strand` (integer, optional)
- `type` (string, optional)

### ArchiveRecord

- `reason` (string, optional)

### UserSummary

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

### CustomField

- `value` (string, optional)

### Field

- `value` (FieldValue, required, nullable) — For single link fields, use the id of the item you want to link (eg. "seq_jdf8BV24"). For multi-link fields, use an array of ids of the items you want to link (eg. ["seq_jdf8BV24"])
- `displayValue` (string, optional, nullable)
- `isMulti` (boolean, optional)
- `textValue` (string, optional, nullable)
- `type` (enum, optional)
  - Allowed values: `dna_sequence_link`, `aa_sequence_link`, `custom_entity_link`, `entity_link`, `mixture_link`, `molecule_link`, `dropdown`, `part_link`, `translation_link`, `aa_part_link`, `base_molecule_link`, `blob_link`, `text`, `long_text`, `batch_link`, `storage_link`, `entry_link`, `assay_request_link`, `assay_result_link`, `assay_run_link`, `boolean`, `float`, `integer`, `datetime`, `date`, `json`

### DnaSequencePart

- `end` (integer, optional) — 0-based exclusive end index. The end of the sequence is always represented as 0.
- `sequenceId` (string, optional)
- `start` (integer, optional) — 0-based inclusive start index.
- `strand` (integer, optional)

### Primer

- `bases` (string, optional)
- `bindPosition` (integer, optional)
- `color` (string, optional)
- `end` (integer, optional) — 0-based exclusive end index. The end of the sequence is always represented as 0.
- `name` (string, optional)
- `oligoId` (string, optional)
- `overhangLength` (integer, optional)
- `start` (integer, optional) — 0-based inclusive start index.
- `strand` (integer, optional)

### RegistrationOrigin

- `originEntryId` (string, optional, nullable)
- `registeredAt` (datetime, optional)

### SchemaSummary

- `id` (string, optional)
- `name` (string, optional)

### DnaSequenceTranscription

- `end` (integer, optional) — 0-based exclusive end index. The end of the sequence is always represented as 0.
- `sequenceId` (string, optional) — Linked RNA sequence ID.
- `start` (integer, optional) — 0-based inclusive start index.
- `strand` (integer, optional)

### Translation

- `color` (string, optional) — Hex color code used when displaying this feature in the UI.
- `customFields` (list of SequenceFeatureCustomField, optional)
- `name` (string, optional)
- `notes` (string, optional)
- `aminoAcids` (string, optional)
- `coerceStartCodonToMethionine` (boolean, optional, default: false) — Whether to override the translation of the start codon to Methionine. Has no effect when the start codon already translates to Methionine.
- `end` (integer, optional) — 0-based exclusive end index. The end of the sequence is always represented as 0.
- `geneticCode` (enum, optional, default: STANDARD) — The genetic code to use when translating the nucleotide sequence into amino acids.
  - Allowed values: `STANDARD`, `VERTEBRATE_MITOCHONDRIAL`, `YEAST_MITOCHONDRIAL`, `MOLD_PROTOZOAN_COELENTERATE_MITOCHONDRIAL_MYCOPLASMA_SPIROPLASMA`, `INVERTEBRATE_MITOCHONDRIAL`, `CILIATE_DASYCLADACEAN_HEXAMITA_NUCLEAR`, `ECHINODERM_FLATWORM_MITOCHONDRIAL`, `EUPLOTID_NUCLEAR`, `BACTERIAL_ARCHAEAL_PLANT_PLASTID`, `ALTERNATIVE_YEAST_NUCLEAR`, `ASCIDIAN_MITOCHONDRIAL`, `ALTERNATIVE_FLATWORM_MITOCHONDRIAL`, `CHLOROPHYCEAN_MITOCHONDRIAL`, `TREMATODE_MITOCHONDRIAL`, `SCENEDESMUS_OBLIQUUS_MITOCHONDRIAL`, `THRAUSTOCHYTRIUM_MITOCHONDRIAL`, `RHABDOPLEURIDAE_MITOCHONDRIAL`, `CANDIDATE_DIVISION_SR1_GRACILIBACTERIA`, `PACHYSOLEN_TANNOPHILUS_NUCLEAR`, `MESODINIUM_NUCLEAR`, `PERITRICH_NUCLEAR`, `CEPHALODISCIDAE_MITOCHONDRIAL_UAA_TYR`
- `regions` (list of TranslationRegionsItems, optional)
- `start` (integer, optional) — 0-based inclusive start index.
- `strand` (integer, optional)

### SequenceFeatureCustomField

A name and value pair associated with a sequence feature (annotation or translation). For genbank imports, these are the qualifiers associated with each feature.

- `name` (string, optional) — Name of the custom field
- `value` (string, optional) — Value of the custom field

### FieldValue

For single link fields, use the id of the item you want to link (eg. "seq_jdf8BV24"). For multi-link fields, use an array of ids of the items you want to link (eg. ["seq_jdf8BV24"])

### TranslationRegionsItems

- `end` (integer, optional) — 0-based exclusive end index. The end of the sequence is always represented as 0.
- `start` (integer, optional) — 0-based inclusive start index.

## Examples

**Request**

```json
{
  "bases": "string"
}
```

**Response**

```json
{
  "dnaSequences": [
    {
      "aliases": [
        "string"
      ],
      "annotations": [
        {
          "color": "#F58A5E",
          "customFields": [
            {
              "name": "string",
              "value": "string"
            }
          ],
          "name": "string",
          "notes": "Cong et al Science. 2013 Jan 3.",
          "end": 1,
          "start": 1,
          "strand": 1,
          "type": "string"
        }
      ],
      "apiURL": "https://benchling.com/api/v2/dna-sequences/seq_asQya4lk",
      "archiveRecord": {
        "reason": "Made in error"
      },
      "authors": [
        {
          "handle": "string",
          "id": "string",
          "name": "string"
        }
      ],
      "bases": "string",
      "createdAt": "2024-01-15T09:30:00Z",
      "creator": {
        "handle": "string",
        "id": "string",
        "name": "string"
      },
      "customFields": {
        "Legacy ID": {
          "value": "STR100"
        }
      },
      "dnaAlignmentIds": [
        "string"
      ],
      "entityRegistryId": "string",
      "fields": {},
      "folderId": "string",
      "id": "string",
      "isCircular": true,
      "length": 1,
      "modifiedAt": "2024-01-15T09:30:00Z",
      "name": "string",
      "parts": [
        {
          "end": 1,
          "sequenceId": "seq_VfVOART1",
          "start": 1,
          "strand": 1
        }
      ],
      "primers": [
        {
          "bases": "string",
          "bindPosition": 1,
          "color": "string",
          "end": 1,
          "name": "string",
          "oligoId": "string",
          "overhangLength": 1,
          "start": 1,
          "strand": 1
        }
      ],
      "registrationOrigin": {
        "originEntryId": "string",
        "registeredAt": "2024-01-15T09:30:00Z"
      },
      "registryId": "string",
      "schema": {
        "id": "string",
        "name": "string"
      },
      "transcriptions": [
        {
          "end": 1,
          "sequenceId": "seq_VfVOART1",
          "start": 1,
          "strand": 1
        }
      ],
      "translations": [
        {
          "color": "#F58A5E",
          "customFields": [
            {
              "name": "string",
              "value": "string"
            }
          ],
          "name": "string",
          "notes": "Cong et al Science. 2013 Jan 3.",
          "aminoAcids": "string",
          "coerceStartCodonToMethionine": false,
          "end": 1,
          "geneticCode": "STANDARD",
          "regions": [
            {
              "end": 1,
              "start": 1
            }
          ],
          "start": 1,
          "strand": 1
        }
      ],
      "url": "string",
      "webURL": "string"
    }
  ],
  "nextToken": "string"
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/dna-sequences:match-bases"

payload = { "bases": "string" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/dna-sequences:match-bases';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"bases":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```